<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="result"></div>
    <input type="button" id="txt" value="Stop Random">
    

    <script>
    var button = document.getElementById('txt')
    var result = document.getElementById('result')
    var html = document.getElementsByTagName('html') [0]
    
    function do_random(){
        var randomString = Math.random();
        result.innerHTML=randomString;
    }

    html.addEventListener('mousemove', do_random)
    button.addEventListener('click', function(){
        html.removeEventListener('mousemove', do_random)
    })
    </script>
</body>
</html>